Update Strategy Artifact
curl --request PATCH \
--url https://api.example.com/strategy-memory/{artifact_key}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"owner": "<string>",
"horizon": "<string>",
"priority": 3,
"confidence": 0.5,
"annotations": {},
"edit_reason": "<string>",
"review_context": "<string>"
}
'import requests
url = "https://api.example.com/strategy-memory/{artifact_key}/"
payload = {
"title": "<string>",
"content": "<string>",
"owner": "<string>",
"horizon": "<string>",
"priority": 3,
"confidence": 0.5,
"annotations": {},
"edit_reason": "<string>",
"review_context": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
owner: '<string>',
horizon: '<string>',
priority: 3,
confidence: 0.5,
annotations: {},
edit_reason: '<string>',
review_context: '<string>'
})
};
fetch('https://api.example.com/strategy-memory/{artifact_key}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifact": {
"key": "<string>",
"artifact_type": "analytics_strategy",
"title": "<string>",
"content": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"owner": "<string>",
"horizon": "<string>",
"priority": 3,
"confidence": 0.5,
"annotations": {},
"status": "active",
"review_status": "proposed",
"source": "agent",
"asset_links": [
{
"asset_type": "automation",
"asset_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_name": "<string>",
"relationship_type": "related",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_at": "2023-11-07T05:31:56Z",
"last_edit_reason": "<string>",
"review_notes": "<string>"
},
"impact_warning": {
"message": "<string>",
"affected_asset_links": [
{
"asset_type": "automation",
"asset_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_name": "<string>",
"relationship_type": "related",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}strategy-memory
Update Strategy Artifact
PATCH
/
strategy-memory
/
{artifact_key}
/
Update Strategy Artifact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Available options:
analytics_strategy, flow_map, decision, use_case, roadmap, data_source, data_readiness, operating_model, impact, maturity, ingestion_gap Maximum string length:
255Minimum string length:
1Maximum string length:
255Maximum string length:
50Required range:
1 <= x <= 5Required range:
0 <= x <= 1Available options:
active, deprecated Available options:
proposed, approved, rejected Maximum string length:
1000Optional reviewer-facing ticket context from the originating agent or workflow. This is used for governance notifications and is not stored on the strategy artifact itself.
Maximum string length:
1500